@import "assets";

main {
  @include flexbox();
  @include flex-wrap(wrap);
  @include align-items(flex-start);
  @include align-content(flex-start);

  article {
    @include flex(1 0 70%);
    @include basic-text;
  }

  nav.navSide {
    $navLeftBorder: 40px;
    @include basic-index-list;
    @include flex-grow(1);
    @include flex-shrink(0);
    @include flex-basis(calc(30% - #{$navLeftBorder}));
    margin-left: $navLeftBorder;
    p,
    ul {
      margin-bottom: 20px;
    }
    .goToIndex {
      display: block;
      &::after {
        content: "\00A0 \2192";
      }
    }
  }

  .backToIndex {
    @include flex(1 0 100%);
    &::before {
      content: "\2190 \00A0";
    }
  }

  @media screen and (max-width: $tablet-width) {
    display: block;

    nav.navSide {
      padding-left: 0;
      margin-top: 20px;
      margin-left: 0;
      margin-bottom: 20px;
    }
  }
}
